Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class Key

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.IdentityConstraint
            |
            +--weblogic.apache.xerces.validators.schema.identity.Key

public class Key
extends IdentityConstraint

Schema key identity constraint.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: Key.java,v 1.3 2001/02/20 06:12:28 andyc Exp $
Author:
  Andy Clark, IBM

Fields inherited from class weblogic.apache.xerces.validators.schema.identity.IdentityConstraint
`fElementName, fFieldCount, fFields, fIdentityConstraintName, fSelector, KEY, KEYREF, UNIQUE`

Constructor Summary
`Key(java.lang.String identityConstraintName, java.lang.String elementName)` Constructs a key with the specified name.

Method Summary
`short` | `getType()` Returns the identity constraint type.

Methods inherited from class weblogic.apache.xerces.validators.schema.identity.IdentityConstraint
`addField, equals, getElementName, getFieldAt, getFieldCount, getIdentityConstraintName, getSelector, setSelector, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Key

    public Key(java.lang.String identityConstraintName,
               java.lang.String elementName)

  Constructs a key with the specified name.

Method Detail

### getType

    public short getType()

  Returns the identity constraint type.

  Overrides:
    getType in class IdentityConstraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference